Domain Check
Standard · 1 creditCheck whether a domain name is available for registration across one or more TLDs, using the RDAP protocol.
POST /api/domain-check
Section titled “POST /api/domain-check”Parameters
Section titled “Parameters”| Field | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | Domain name without TLD (e.g. morso) |
tlds | array | No | ["com", "net", "org", "io", "dev"] | TLDs to check |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
results | array | Availability per TLD |
results[].domain | string | Full domain (e.g. morso.com) |
results[].available | boolean | Whether the domain is available |
results[].error | string | Error message if the check failed |
Examples
Section titled “Examples”Default TLDs
Section titled “Default TLDs”curl -X POST https://morso.dev/api/domain-check \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{"domain": "myproject"}'{ "results": [ {"domain": "myproject.com", "available": false}, {"domain": "myproject.net", "available": true}, {"domain": "myproject.org", "available": true}, {"domain": "myproject.io", "available": false}, {"domain": "myproject.dev", "available": true} ]}Custom TLDs
Section titled “Custom TLDs”curl -X POST https://morso.dev/api/domain-check \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{"domain": "myapp", "tlds": ["app", "dev", "tools", "sh"]}'{ "results": [ {"domain": "myapp.app", "available": false}, {"domain": "myapp.dev", "available": true}, {"domain": "myapp.tools", "available": true}, {"domain": "myapp.sh", "available": true} ]}